package com.yuchen.saas.park.api.entity.pldoor;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.nest.springwrap.core.tenant.mp.TenantEntity;

import java.util.Date;

/**
 * <p>
 * 巡逻终端
 * </p>
 *
 * @author miaoqs
 * @since 2024-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("pl_sp_robot_equipment")
@ApiModel(value="PlSpRobotEquipment对象", description="巡逻终端")
public class PlSpRobotEquipment extends TenantEntity {

    /**
     * 设备类型
     */
    @ApiModelProperty(name = "equipmentType", value = "设备类型")
    private String equipmentType;
    /**
     * 产品
     */
    @ApiModelProperty(name = "product", value = "产品")
    private String product;
    /**
     * 品牌
     */
    @ApiModelProperty(name = "brand", value = "品牌")
    private String brand;
    /**
     * 型号
     */
    @ApiModelProperty(name = "model", value = "型号")
    private String model;
    /**
     * 设备名称
     */
    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;
    /**
     * 设备图片
     */
    @ApiModelProperty(name = "equipmentPicture", value = "设备图片")
    private String equipmentPicture;
    /**
     * 设备编码
     */
    @ApiModelProperty(name = "equipmentCode", value = "设备编码")
    private String equipmentCode;
    /**
     * 设备状态
     */
    @ApiModelProperty(name = "equipmentState", value = "设备状态")
    private String equipmentState;
    /**
     * 设备位置
     */
    @ApiModelProperty(name = "equipmentAddress", value = "设备位置")
    private String equipmentAddress;
    /**
     * 项目
     */
    @ApiModelProperty(name = "location", value = "项目")
    private String location;
    /**
     * 最后连接时间
     */
    @ApiModelProperty(name = "lastConnectionTime", value = "最后连接时间")
    @TableField("Last_connection_time")
    private Date lastConnectionTime;
    /**
     * 最后断开时间
     */
    @ApiModelProperty(name = "lastOffTime", value = "最后断开时间")
    @TableField("Last_off_time")
    private Date lastOffTime;
    /**
     * 备注信息
     */
    @ApiModelProperty(name = "remark", value = "备注信息")
    private String remark;

    public String getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(String equipmentType) {
        this.equipmentType = equipmentType;
    }

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentPicture() {
        return equipmentPicture;
    }

    public void setEquipmentPicture(String equipmentPicture) {
        this.equipmentPicture = equipmentPicture;
    }

    public String getEquipmentCode() {
        return equipmentCode;
    }

    public void setEquipmentCode(String equipmentCode) {
        this.equipmentCode = equipmentCode;
    }

    public String getEquipmentState() {
        return equipmentState;
    }

    public void setEquipmentState(String equipmentState) {
        this.equipmentState = equipmentState;
    }

    public String getEquipmentAddress() {
        return equipmentAddress;
    }

    public void setEquipmentAddress(String equipmentAddress) {
        this.equipmentAddress = equipmentAddress;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Date getLastConnectionTime() {
        return lastConnectionTime;
    }

    public void setLastConnectionTime(Date lastConnectionTime) {
        this.lastConnectionTime = lastConnectionTime;
    }

    public Date getLastOffTime() {
        return lastOffTime;
    }

    public void setLastOffTime(Date lastOffTime) {
        this.lastOffTime = lastOffTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
